package cn.ftebox.dao;

import cn.ftebox.entity.Blogger;
import cn.ftebox.entity.Link;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 博主相关
 */

public interface BloggerDao {
    /**
     * 根据登录名查询博主对象
     */
    public Blogger getByUserName(@Param("userName")String userName);

    /**
     * 更新博主对象
     */
    public Integer update(Blogger blogger);

    /**
     * 查询博主
     */
    public Blogger find();

    /**
     * 新增博主
     */
    public Integer insert(Blogger blogger);

    /** 不固定参数查询友情链接列表 */
    public List<Link> list(Map<String,Object> paramMap);

    /** 不固定参数查询友情链接数 */
    public Long getTotal(Map<String,Object> paramMap);

    /** 删除一条友情链接 */
    public Integer delete(Integer id);
}
